# https://docs.fedoraproject.org/en-US/fedora/f34/install-guide/appendixes/Kickstart_Syntax_Reference/

# Configure installation method
url --metalink="https://mirrors.fedoraproject.org/metalink?repo=fedora-34&arch=x86_64"
repo --name=fedora-updates --mirrorlist="https://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f34&arch=x86_64" --cost=0
repo --name=rpmfusion-free --mirrorlist="https://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-34&arch=x86_64" --includepkgs=rpmfusion-free-release
repo --name=rpmfusion-free-updates --mirrorlist="https://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-34&arch=x86_64" --cost=0
repo --name=rpmfusion-nonfree --mirrorlist="https://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-34&arch=x86_64" --includepkgs=rpmfusion-nonfree-release
repo --name=rpmfusion-nonfree-updates --mirrorlist="https://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-updates-released-34&arch=x86_64" --cost=0
repo --name=google-chrome --install --baseurl="https://dl.google.com/linux/chrome/rpm/stable/x86_64" --cost=0

# Configure Boot Loader
bootloader --password=ElectroC0re --location=mbr --driveorder=sda

# Remove all existing partitions
clearpart --drives=sda --all

# zerombr
#zerombr

#Create required partitions (BIOS boot partition and /boot)
reqpart --add-boot

# Create Physical Partition
part swap --hibernation --ondrive=sda 
part / --size=8192 --grow --asprimary --ondrive=sda --fstype=xfs 

# Configure Firewall
firewall --enabled

# Configure Network Interfaces
network --onboot=yes --bootproto=dhcp

# Configure Keyboard Layouts
keyboard fr

# Configure Language During Installation
lang fr_FR

# Services to enable/disable

# Configure Time Zone
timezone Europe/Paris

# Configure X Window System
xconfig --startxonboot

# Set Root Password
rootpw --lock

# Create User Account
user --name=electrolab --password=ElectroC0re --groups=wheel

# Perform Installation in Text Mode
#text

# Package Selection
%packages
@core
@standard
@hardware-support
@fedora-workstation
@base-x
@firefox
@fonts
@multimedia
@networkmanager-submodules
@printing
@development-tools
vim
google-chrome-stable
gstreamer-plugins-ugly
gstreamer1-plugins-ugly
exfat-utils
fuse-exfat
openssl
sssd
realmd
oddjob
oddjob-mkhomedir
adcli
samba-common
samba-common-tools
krb5-workstation
openldap-clients
policycoreutils-python-utils
%end

# Post-installation Script
%post

# Enable GPG keys for installed repos
cat <<EOF >> /etc/yum.repos.d/google-chrome.repo
gpgkey=https://dl-ssl.google.com/linux/linux_signing_key.pub
EOF

# Set workstation hostname
HOSTUID="$(uuidgen | cut -d '-' -f 2)"
hostnamectl set-hostname"fedo-work-${HOSTUID}"



%end

# Reboot After Installation
reboot --eject
